summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTristan Carel <tcarel@exalead.com>2011-04-13 16:48:47 +0200
committerTristan Carel <tcarel@exalead.com>2011-04-13 16:48:47 +0200
commit14a1877311bd0a9cf9c4db0e44e55da0fba77c5c (patch)
tree8e04f4bb6cdcfec2ea21bdfcd94fd5a88160b6f0
parent2e9492969b0ea90932ad3f4298330b75ef8cf2ce (diff)
downloadzsh-14a1877311bd0a9cf9c4db0e44e55da0fba77c5c.tar.gz
zsh-14a1877311bd0a9cf9c4db0e44e55da0fba77c5c.tar.bz2
zsh-14a1877311bd0a9cf9c4db0e44e55da0fba77c5c.zip
New plugin git-svn installing git project
git-svn-clone-externals
-rw-r--r--plugins/git-svn/.gitignore1
-rw-r--r--plugins/git-svn/git-svn.plugin.zsh10
2 files changed, 11 insertions, 0 deletions
diff --git a/plugins/git-svn/.gitignore b/plugins/git-svn/.gitignore
new file mode 100644
index 000000000..bf5e1a14f
--- /dev/null
+++ b/plugins/git-svn/.gitignore
@@ -0,0 +1 @@
+git-svn-clone-externals
diff --git a/plugins/git-svn/git-svn.plugin.zsh b/plugins/git-svn/git-svn.plugin.zsh
new file mode 100644
index 000000000..062d63e05
--- /dev/null
+++ b/plugins/git-svn/git-svn.plugin.zsh
@@ -0,0 +1,10 @@
+
+if ! [ -d "$ZSH/plugins/git-svn/git-svn-clone-externals" ] ;then
+ git clone https://github.com/andrep/git-svn-clone-externals.git
+fi
+export PATH="$ZSH/plugins/git-svn/git-svn-clone-externals:$PATH"
+
+function git_svn_update {
+ (cd "$ZSH/plugins/git-svn/git-svn-clone-externals" && \
+ git pull origin master)
+}